%undefine _auto_set_build_flags

%global gittagdate 20241106
%global gittagcommit ee03aec

# Disable debuginfo because it is of no use to us.
%global debug_package %{nil}

%if 0%{?mageia:1}
%define cross 1
%endif

%global gittag qemu-slof-%{gittagdate}

Name:           slof
Version:        0.1.git%{gittagdate}
Release:        %mkrel 1
Summary:        Slimline Open Firmware
Group:		Emulators

License:        BSD
URL:            https://www.openfirmware.info/SLOF

Source0:        https://github.com/aik/SLOF/archive/qemu-slof-%{gittagdate}.tar.gz

# the bundled libc stdbool.h is not compatible with C23
# https://github.com/aik/SLOF/pull/5
Patch0:         0001-libc-fix-build-in-C23-mode.patch

%if 0%{?cross:1}
BuildArch:      noarch
BuildRequires:  gcc-powerpc64-linux-gnu
%else
ExclusiveArch:  ppc64le
BuildArch:      noarch
%endif

BuildRequires:  gcc
BuildRequires:  perl
BuildRequires:  perl(Getopt::Std)
BuildRequires:  perl(Data::Dumper)
Provides:	SLOF
Conflicts:	qemu < 2.6.0


%description
Slimline Open Firmware (SLOF) is initialization and boot source code
based on the IEEE-1275 (Open Firmware) standard, developed by
engineers of the IBM Corporation.

The SLOF source code provides illustrates what's needed to initialize
and boot Linux or a hypervisor on the industry Open Firmware boot
standard.

Note that you normally wouldn't need to install this package
separately.  It is a dependency of qemu-system-ppc64.


%prep
%autosetup -p1 -n SLOF-qemu-slof-%{gittagdate}

%build
%if 0%{?cross:1}
export CROSS="powerpc64-linux-gnu-"
%else
export CROSS=""
%endif


%make_build qemu V=2


%install
mkdir -p %{buildroot}%{_datadir}/qemu
install -c -m 0644 boot_rom.bin %{buildroot}%{_datadir}/qemu/slof.bin


%files
%doc LICENSE
%doc README
%dir %{_datadir}/qemu
%{_datadir}/qemu/slof.bin




%changelog
* Wed Jul 09 2025 daviddavid <daviddavid> 0.1.git20241106-1.mga10
+ Revision: 2252534
- Update to SLOF 20241106
- Fix build with cross-gcc 15
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 0.1.git20210217-6.mga9
+ Revision: 1821456
- Mageia 9 Mass Rebuild

* Thu Jun 24 2021 tv <tv> 0.1.git20210217-5.mga9
+ Revision: 1732102
- Use %%make_build
- Update to SLOF 20210217

* Tue Sep 08 2020 tv <tv> 0.1.git20200717-5.mga8
+ Revision: 1623515
- build with cross-compiler
- Update to SLOF 20200717

* Wed Feb 12 2020 umeabot <umeabot> 0.1.git20160223-4.mga8
+ Revision: 1500101
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.git20160223-3.mga7
+ Revision: 1275439
- Mageia 7 Mass Rebuild

* Mon May 23 2016 pterjan <pterjan> 0.1.git20160223-2.mga6
+ Revision: 1017893
- Add conflict with older qemu which contained slof.bin

* Mon Apr 18 2016 tv <tv> 0.1.git20160223-1.mga6
+ Revision: 1003317
- imported package slof


* Mon Apr 18 2016 Thierry Vignaud <tv@mageia.org> 0.1.git20160223-1.mga6
- import from FC

* Thu Apr 07 2016 Cole Robinson <crobinso@redhat.com> 0.1.git20160223-1
- Update to SLOF 20160223 for qemu 2.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.git20151103-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 17 2015 Cole Robinson <crobinso@redhat.com> 0.1.git20151103-1
- Update to SLOF 20151103 for qemu 2.5

* Tue Jul 14 2015 Cole Robinson <crobinso@redhat.com> 0.1.git20150429-1
- Update to SLOF 20150429 for qemu 2.4

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.git20150313-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Mar 18 2015 Cole Robinson <crobinso@redhat.com> 0.1.git20150313-1
- Update to SLOF 20150313 for qemu 2.3

* Tue Dec 02 2014 Cole Robinson <crobinso@redhat.com> - 0.1.git20141202-1
- Update to SLOF 20141202

* Fri Jul 04 2014 Cole Robinson <crobinso@redhat.com> - 0.1.git20140630-1
- Update to tag qemu-slof-20140630, queued for qemu 2.1

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.git20140304-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 16 2014 Cole Robinson <crobinso@redhat.com> - 0.1.git20140304-1
- Update to qemu 2.0 version of SLOF

* Tue Nov 19 2013 Cole Robinson <crobinso@redhat.com> - 0.1.git20130827-1
- Update to version intended for qemu 1.7

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.git20130430-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue May 21 2013 Cole Robinson <crobinso@redhat.com> - 0.1.git20130430-1
- Update to version shipped with qemu 1.5

* Tue Feb 19 2013 Cole Robinson <crobinso@redhat.com> 0.1.git20121018-1
- Update to version shipped with qemu 1.4

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.git20120731-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 16 2012 Paolo Bonzini <pbonzini@redhat.com> - 0.1.git20120731-1
- Move date from release to version.

* Fri Sep 14 2012 Paolo Bonzini <pbonzini@redhat.com> - 0-0.1.git20120731
- SLOF packages is very out of date with respect to what qemu expects (bug #855246)
- SLOF package builds wrong version of SLOF (bug #855236)
- build verbosely

* Tue Jul 31 2012 Richard W.M. Jones <rjones@redhat.com> - 0-0.1.git20120217
- Initial release in Fedora.
